// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		337CC6E122E863BA00C6EB1B /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 337CC6E022E863BA00C6EB1B /* AppDelegate.swift */; };
		337CC6E322E863BA00C6EB1B /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 337CC6E222E863BA00C6EB1B /* ViewController.swift */; };
		337CC6E622E863BA00C6EB1B /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 337CC6E422E863BA00C6EB1B /* Main.storyboard */; };
		337CC6E822E863BB00C6EB1B /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 337CC6E722E863BB00C6EB1B /* Assets.xcassets */; };
		337CC6EB22E863BB00C6EB1B /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 337CC6E922E863BB00C6EB1B /* LaunchScreen.storyboard */; };
		337CC6FA22E9C43500C6EB1B /* Readme.md in Resources */ = {isa = PBXBuildFile; fileRef = 337CC6F922E9C43400C6EB1B /* Readme.md */; };
		339018E722F042D400EBE6C2 /* Alert.swift in Sources */ = {isa = PBXBuildFile; fileRef = 339018E322F042D400EBE6C2 /* Alert.swift */; };
		339018E822F042D400EBE6C2 /* Alert+TextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = 339018E422F042D400EBE6C2 /* Alert+TextField.swift */; };
		33A605C4230180380038FC1F /* Alert+Banner.swift in Sources */ = {isa = PBXBuildFile; fileRef = 33A605C3230180380038FC1F /* Alert+Banner.swift */; };
		F875475B25F205FE00683966 /* ConstraintLayoutSupportDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473A25F205F300683966 /* ConstraintLayoutSupportDSL.swift */; };
		F875475C25F205FE00683966 /* ConstraintLayoutGuide.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474125F205F400683966 /* ConstraintLayoutGuide.swift */; };
		F875475D25F205FE00683966 /* ConstraintLayoutSupport.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473C25F205F400683966 /* ConstraintLayoutSupport.swift */; };
		F875475E25F205FE00683966 /* ConstraintMultiplierTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473925F205F300683966 /* ConstraintMultiplierTarget.swift */; };
		F875475F25F205FE00683966 /* ConstraintMakerPriortizable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474525F205F500683966 /* ConstraintMakerPriortizable.swift */; };
		F875476025F205FE00683966 /* ConstraintLayoutGuide+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473125F205F200683966 /* ConstraintLayoutGuide+Extensions.swift */; };
		F875476125F205FE00683966 /* ConstraintMakerEditable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875475125F205FD00683966 /* ConstraintMakerEditable.swift */; };
		F875476225F205FE00683966 /* ConstraintMaker.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473525F205F300683966 /* ConstraintMaker.swift */; };
		F875476325F205FE00683966 /* ConstraintRelation.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473225F205F200683966 /* ConstraintRelation.swift */; };
		F875476425F205FE00683966 /* ConstraintItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474425F205F500683966 /* ConstraintItem.swift */; };
		F875476525F205FE00683966 /* ConstraintMakerExtendable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474D25F205F600683966 /* ConstraintMakerExtendable.swift */; };
		F875476625F205FE00683966 /* ConstraintPriorityTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473E25F205F400683966 /* ConstraintPriorityTarget.swift */; };
		F875476725F205FE00683966 /* ConstraintViewDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473F25F205F400683966 /* ConstraintViewDSL.swift */; };
		F875476825F205FE00683966 /* LayoutConstraint.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875475325F205FD00683966 /* LayoutConstraint.swift */; };
		F875476925F205FE00683966 /* ConstraintAttributes.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473425F205F300683966 /* ConstraintAttributes.swift */; };
		F875476A25F205FE00683966 /* ConstraintMakerFinalizable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474825F205F500683966 /* ConstraintMakerFinalizable.swift */; };
		F875476B25F205FE00683966 /* ConstraintView.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474E25F205F600683966 /* ConstraintView.swift */; };
		F875476C25F205FE00683966 /* Constraint.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473B25F205F400683966 /* Constraint.swift */; };
		F875476D25F205FE00683966 /* ConstraintDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474925F205F500683966 /* ConstraintDSL.swift */; };
		F875476E25F205FE00683966 /* ConstraintLayoutGuideDSL.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474B25F205F600683966 /* ConstraintLayoutGuideDSL.swift */; };
		F875476F25F205FE00683966 /* ConstraintDescription.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474F25F205F600683966 /* ConstraintDescription.swift */; };
		F875477025F205FE00683966 /* ConstraintConfig.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473825F205F300683966 /* ConstraintConfig.swift */; };
		F875477125F205FE00683966 /* LayoutConstraintItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474A25F205F500683966 /* LayoutConstraintItem.swift */; };
		F875477225F205FE00683966 /* ConstraintView+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474C25F205F600683966 /* ConstraintView+Extensions.swift */; };
		F875477325F205FE00683966 /* ConstraintInsetTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474625F205F500683966 /* ConstraintInsetTarget.swift */; };
		F875477425F205FE00683966 /* ConstraintInsets.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473625F205F300683966 /* ConstraintInsets.swift */; };
		F875477525F205FE00683966 /* ConstraintRelatableTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474725F205F500683966 /* ConstraintRelatableTarget.swift */; };
		F875477625F205FE00683966 /* Debugging.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474025F205F400683966 /* Debugging.swift */; };
		F875477725F205FE00683966 /* ConstraintMakerRelatable.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473D25F205F400683966 /* ConstraintMakerRelatable.swift */; };
		F875477825F205FE00683966 /* ConstraintPriority.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875475225F205FD00683966 /* ConstraintPriority.swift */; };
		F875477925F205FE00683966 /* ConstraintOffsetTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474225F205F400683966 /* ConstraintOffsetTarget.swift */; };
		F875477A25F205FE00683966 /* ConstraintConstantTarget.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875474325F205F500683966 /* ConstraintConstantTarget.swift */; };
		F875477B25F205FE00683966 /* SnapKit-dummy.m in Sources */ = {isa = PBXBuildFile; fileRef = F875475825F205FE00683966 /* SnapKit-dummy.m */; };
		F875477C25F205FE00683966 /* Typealiases.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473725F205F300683966 /* Typealiases.swift */; };
		F875477D25F205FE00683966 /* UILayoutSupport+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = F875473325F205F300683966 /* UILayoutSupport+Extensions.swift */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		337CC76722E9DCFC00C6EB1B /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		337CC6DD22E863BA00C6EB1B /* AlertTest.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = AlertTest.app; sourceTree = BUILT_PRODUCTS_DIR; };
		337CC6E022E863BA00C6EB1B /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		337CC6E222E863BA00C6EB1B /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		337CC6E522E863BA00C6EB1B /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		337CC6E722E863BB00C6EB1B /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		337CC6EA22E863BB00C6EB1B /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		337CC6EC22E863BB00C6EB1B /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		337CC6F922E9C43400C6EB1B /* Readme.md */ = {isa = PBXFileReference; lastKnownFileType = net.daringfireball.markdown; path = Readme.md; sourceTree = "<group>"; };
		339018E322F042D400EBE6C2 /* Alert.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Alert.swift; sourceTree = "<group>"; };
		339018E422F042D400EBE6C2 /* Alert+TextField.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "Alert+TextField.swift"; sourceTree = "<group>"; };
		33A605C3230180380038FC1F /* Alert+Banner.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Alert+Banner.swift"; sourceTree = "<group>"; };
		F875473125F205F200683966 /* ConstraintLayoutGuide+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ConstraintLayoutGuide+Extensions.swift"; sourceTree = "<group>"; };
		F875473225F205F200683966 /* ConstraintRelation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintRelation.swift; sourceTree = "<group>"; };
		F875473325F205F300683966 /* UILayoutSupport+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UILayoutSupport+Extensions.swift"; sourceTree = "<group>"; };
		F875473425F205F300683966 /* ConstraintAttributes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintAttributes.swift; sourceTree = "<group>"; };
		F875473525F205F300683966 /* ConstraintMaker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMaker.swift; sourceTree = "<group>"; };
		F875473625F205F300683966 /* ConstraintInsets.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintInsets.swift; sourceTree = "<group>"; };
		F875473725F205F300683966 /* Typealiases.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Typealiases.swift; sourceTree = "<group>"; };
		F875473825F205F300683966 /* ConstraintConfig.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintConfig.swift; sourceTree = "<group>"; };
		F875473925F205F300683966 /* ConstraintMultiplierTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMultiplierTarget.swift; sourceTree = "<group>"; };
		F875473A25F205F300683966 /* ConstraintLayoutSupportDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutSupportDSL.swift; sourceTree = "<group>"; };
		F875473B25F205F400683966 /* Constraint.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constraint.swift; sourceTree = "<group>"; };
		F875473C25F205F400683966 /* ConstraintLayoutSupport.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutSupport.swift; sourceTree = "<group>"; };
		F875473D25F205F400683966 /* ConstraintMakerRelatable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerRelatable.swift; sourceTree = "<group>"; };
		F875473E25F205F400683966 /* ConstraintPriorityTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintPriorityTarget.swift; sourceTree = "<group>"; };
		F875473F25F205F400683966 /* ConstraintViewDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintViewDSL.swift; sourceTree = "<group>"; };
		F875474025F205F400683966 /* Debugging.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Debugging.swift; sourceTree = "<group>"; };
		F875474125F205F400683966 /* ConstraintLayoutGuide.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutGuide.swift; sourceTree = "<group>"; };
		F875474225F205F400683966 /* ConstraintOffsetTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintOffsetTarget.swift; sourceTree = "<group>"; };
		F875474325F205F500683966 /* ConstraintConstantTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintConstantTarget.swift; sourceTree = "<group>"; };
		F875474425F205F500683966 /* ConstraintItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintItem.swift; sourceTree = "<group>"; };
		F875474525F205F500683966 /* ConstraintMakerPriortizable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerPriortizable.swift; sourceTree = "<group>"; };
		F875474625F205F500683966 /* ConstraintInsetTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintInsetTarget.swift; sourceTree = "<group>"; };
		F875474725F205F500683966 /* ConstraintRelatableTarget.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintRelatableTarget.swift; sourceTree = "<group>"; };
		F875474825F205F500683966 /* ConstraintMakerFinalizable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerFinalizable.swift; sourceTree = "<group>"; };
		F875474925F205F500683966 /* ConstraintDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintDSL.swift; sourceTree = "<group>"; };
		F875474A25F205F500683966 /* LayoutConstraintItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutConstraintItem.swift; sourceTree = "<group>"; };
		F875474B25F205F600683966 /* ConstraintLayoutGuideDSL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintLayoutGuideDSL.swift; sourceTree = "<group>"; };
		F875474C25F205F600683966 /* ConstraintView+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ConstraintView+Extensions.swift"; sourceTree = "<group>"; };
		F875474D25F205F600683966 /* ConstraintMakerExtendable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerExtendable.swift; sourceTree = "<group>"; };
		F875474E25F205F600683966 /* ConstraintView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintView.swift; sourceTree = "<group>"; };
		F875474F25F205F600683966 /* ConstraintDescription.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintDescription.swift; sourceTree = "<group>"; };
		F875475125F205FD00683966 /* ConstraintMakerEditable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintMakerEditable.swift; sourceTree = "<group>"; };
		F875475225F205FD00683966 /* ConstraintPriority.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConstraintPriority.swift; sourceTree = "<group>"; };
		F875475325F205FD00683966 /* LayoutConstraint.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayoutConstraint.swift; sourceTree = "<group>"; };
		F875475525F205FD00683966 /* SnapKit-Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "SnapKit-Info.plist"; sourceTree = "<group>"; };
		F875475625F205FD00683966 /* SnapKit-prefix.pch */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "SnapKit-prefix.pch"; sourceTree = "<group>"; };
		F875475725F205FE00683966 /* SnapKit-umbrella.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "SnapKit-umbrella.h"; sourceTree = "<group>"; };
		F875475825F205FE00683966 /* SnapKit-dummy.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "SnapKit-dummy.m"; sourceTree = "<group>"; };
		F875475925F205FE00683966 /* SnapKit.modulemap */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.module-map"; path = SnapKit.modulemap; sourceTree = "<group>"; };
		F875475A25F205FE00683966 /* SnapKit.xcconfig */ = {isa = PBXFileReference; lastKnownFileType = text.xcconfig; path = SnapKit.xcconfig; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		337CC6DA22E863BA00C6EB1B /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		337CC6D422E863BA00C6EB1B = {
			isa = PBXGroup;
			children = (
				337CC6F922E9C43400C6EB1B /* Readme.md */,
				F875477F25F2060F00683966 /* Utils */,
				339018E022F042D400EBE6C2 /* IOAlert */,
				337CC6DF22E863BA00C6EB1B /* AlertTest */,
				337CC6DE22E863BA00C6EB1B /* Products */,
			);
			sourceTree = "<group>";
		};
		337CC6DE22E863BA00C6EB1B /* Products */ = {
			isa = PBXGroup;
			children = (
				337CC6DD22E863BA00C6EB1B /* AlertTest.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		337CC6DF22E863BA00C6EB1B /* AlertTest */ = {
			isa = PBXGroup;
			children = (
				337CC6E022E863BA00C6EB1B /* AppDelegate.swift */,
				337CC6E222E863BA00C6EB1B /* ViewController.swift */,
				337CC6E422E863BA00C6EB1B /* Main.storyboard */,
				337CC6E722E863BB00C6EB1B /* Assets.xcassets */,
				337CC6E922E863BB00C6EB1B /* LaunchScreen.storyboard */,
				337CC6EC22E863BB00C6EB1B /* Info.plist */,
			);
			path = AlertTest;
			sourceTree = "<group>";
		};
		339018E022F042D400EBE6C2 /* IOAlert */ = {
			isa = PBXGroup;
			children = (
				339018E322F042D400EBE6C2 /* Alert.swift */,
				33A605C3230180380038FC1F /* Alert+Banner.swift */,
				339018E422F042D400EBE6C2 /* Alert+TextField.swift */,
			);
			path = IOAlert;
			sourceTree = "<group>";
		};
		F875473025F205F200683966 /* SnapKit */ = {
			isa = PBXGroup;
			children = (
				F875473B25F205F400683966 /* Constraint.swift */,
				F875473425F205F300683966 /* ConstraintAttributes.swift */,
				F875473825F205F300683966 /* ConstraintConfig.swift */,
				F875474325F205F500683966 /* ConstraintConstantTarget.swift */,
				F875474F25F205F600683966 /* ConstraintDescription.swift */,
				F875474925F205F500683966 /* ConstraintDSL.swift */,
				F875473625F205F300683966 /* ConstraintInsets.swift */,
				F875474625F205F500683966 /* ConstraintInsetTarget.swift */,
				F875474425F205F500683966 /* ConstraintItem.swift */,
				F875474125F205F400683966 /* ConstraintLayoutGuide.swift */,
				F875473125F205F200683966 /* ConstraintLayoutGuide+Extensions.swift */,
				F875474B25F205F600683966 /* ConstraintLayoutGuideDSL.swift */,
				F875473C25F205F400683966 /* ConstraintLayoutSupport.swift */,
				F875473A25F205F300683966 /* ConstraintLayoutSupportDSL.swift */,
				F875473525F205F300683966 /* ConstraintMaker.swift */,
				F875475125F205FD00683966 /* ConstraintMakerEditable.swift */,
				F875474D25F205F600683966 /* ConstraintMakerExtendable.swift */,
				F875474825F205F500683966 /* ConstraintMakerFinalizable.swift */,
				F875474525F205F500683966 /* ConstraintMakerPriortizable.swift */,
				F875473D25F205F400683966 /* ConstraintMakerRelatable.swift */,
				F875473925F205F300683966 /* ConstraintMultiplierTarget.swift */,
				F875474225F205F400683966 /* ConstraintOffsetTarget.swift */,
				F875475225F205FD00683966 /* ConstraintPriority.swift */,
				F875473E25F205F400683966 /* ConstraintPriorityTarget.swift */,
				F875474725F205F500683966 /* ConstraintRelatableTarget.swift */,
				F875473225F205F200683966 /* ConstraintRelation.swift */,
				F875474E25F205F600683966 /* ConstraintView.swift */,
				F875474C25F205F600683966 /* ConstraintView+Extensions.swift */,
				F875473F25F205F400683966 /* ConstraintViewDSL.swift */,
				F875474025F205F400683966 /* Debugging.swift */,
				F875475325F205FD00683966 /* LayoutConstraint.swift */,
				F875474A25F205F500683966 /* LayoutConstraintItem.swift */,
				F875473725F205F300683966 /* Typealiases.swift */,
				F875473325F205F300683966 /* UILayoutSupport+Extensions.swift */,
				F875475425F205FD00683966 /* Support Files */,
			);
			path = SnapKit;
			sourceTree = "<group>";
		};
		F875475425F205FD00683966 /* Support Files */ = {
			isa = PBXGroup;
			children = (
				F875475925F205FE00683966 /* SnapKit.modulemap */,
				F875475A25F205FE00683966 /* SnapKit.xcconfig */,
				F875475825F205FE00683966 /* SnapKit-dummy.m */,
				F875475525F205FD00683966 /* SnapKit-Info.plist */,
				F875475625F205FD00683966 /* SnapKit-prefix.pch */,
				F875475725F205FE00683966 /* SnapKit-umbrella.h */,
			);
			path = "Support Files";
			sourceTree = "<group>";
		};
		F875477F25F2060F00683966 /* Utils */ = {
			isa = PBXGroup;
			children = (
				F875473025F205F200683966 /* SnapKit */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		337CC6DC22E863BA00C6EB1B /* AlertTest */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 337CC6EF22E863BB00C6EB1B /* Build configuration list for PBXNativeTarget "AlertTest" */;
			buildPhases = (
				337CC6D922E863BA00C6EB1B /* Sources */,
				337CC6DA22E863BA00C6EB1B /* Frameworks */,
				337CC6DB22E863BA00C6EB1B /* Resources */,
				337CC76722E9DCFC00C6EB1B /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = AlertTest;
			productName = AlertTest;
			productReference = 337CC6DD22E863BA00C6EB1B /* AlertTest.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		337CC6D522E863BA00C6EB1B /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1020;
				LastUpgradeCheck = 1020;
				ORGANIZATIONNAME = "Igor Olnev";
				TargetAttributes = {
					337CC6DC22E863BA00C6EB1B = {
						CreatedOnToolsVersion = 10.2.1;
						LastSwiftMigration = 1020;
					};
				};
			};
			buildConfigurationList = 337CC6D822E863BA00C6EB1B /* Build configuration list for PBXProject "IOAlert" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 337CC6D422E863BA00C6EB1B;
			productRefGroup = 337CC6DE22E863BA00C6EB1B /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				337CC6DC22E863BA00C6EB1B /* AlertTest */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		337CC6DB22E863BA00C6EB1B /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				337CC6EB22E863BB00C6EB1B /* LaunchScreen.storyboard in Resources */,
				337CC6FA22E9C43500C6EB1B /* Readme.md in Resources */,
				337CC6E822E863BB00C6EB1B /* Assets.xcassets in Resources */,
				337CC6E622E863BA00C6EB1B /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		337CC6D922E863BA00C6EB1B /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F875476E25F205FE00683966 /* ConstraintLayoutGuideDSL.swift in Sources */,
				F875477825F205FE00683966 /* ConstraintPriority.swift in Sources */,
				F875477A25F205FE00683966 /* ConstraintConstantTarget.swift in Sources */,
				F875475D25F205FE00683966 /* ConstraintLayoutSupport.swift in Sources */,
				F875477725F205FE00683966 /* ConstraintMakerRelatable.swift in Sources */,
				F875476C25F205FE00683966 /* Constraint.swift in Sources */,
				F875476B25F205FE00683966 /* ConstraintView.swift in Sources */,
				F875477625F205FE00683966 /* Debugging.swift in Sources */,
				F875477C25F205FE00683966 /* Typealiases.swift in Sources */,
				339018E822F042D400EBE6C2 /* Alert+TextField.swift in Sources */,
				337CC6E322E863BA00C6EB1B /* ViewController.swift in Sources */,
				F875476125F205FE00683966 /* ConstraintMakerEditable.swift in Sources */,
				F875477B25F205FE00683966 /* SnapKit-dummy.m in Sources */,
				F875477925F205FE00683966 /* ConstraintOffsetTarget.swift in Sources */,
				F875476A25F205FE00683966 /* ConstraintMakerFinalizable.swift in Sources */,
				F875475B25F205FE00683966 /* ConstraintLayoutSupportDSL.swift in Sources */,
				F875476825F205FE00683966 /* LayoutConstraint.swift in Sources */,
				F875477225F205FE00683966 /* ConstraintView+Extensions.swift in Sources */,
				F875475F25F205FE00683966 /* ConstraintMakerPriortizable.swift in Sources */,
				F875477425F205FE00683966 /* ConstraintInsets.swift in Sources */,
				33A605C4230180380038FC1F /* Alert+Banner.swift in Sources */,
				337CC6E122E863BA00C6EB1B /* AppDelegate.swift in Sources */,
				F875477025F205FE00683966 /* ConstraintConfig.swift in Sources */,
				F875476F25F205FE00683966 /* ConstraintDescription.swift in Sources */,
				F875475E25F205FE00683966 /* ConstraintMultiplierTarget.swift in Sources */,
				F875477525F205FE00683966 /* ConstraintRelatableTarget.swift in Sources */,
				339018E722F042D400EBE6C2 /* Alert.swift in Sources */,
				F875476D25F205FE00683966 /* ConstraintDSL.swift in Sources */,
				F875477325F205FE00683966 /* ConstraintInsetTarget.swift in Sources */,
				F875476325F205FE00683966 /* ConstraintRelation.swift in Sources */,
				F875477D25F205FE00683966 /* UILayoutSupport+Extensions.swift in Sources */,
				F875476525F205FE00683966 /* ConstraintMakerExtendable.swift in Sources */,
				F875476925F205FE00683966 /* ConstraintAttributes.swift in Sources */,
				F875476625F205FE00683966 /* ConstraintPriorityTarget.swift in Sources */,
				F875476225F205FE00683966 /* ConstraintMaker.swift in Sources */,
				F875477125F205FE00683966 /* LayoutConstraintItem.swift in Sources */,
				F875476025F205FE00683966 /* ConstraintLayoutGuide+Extensions.swift in Sources */,
				F875475C25F205FE00683966 /* ConstraintLayoutGuide.swift in Sources */,
				F875476425F205FE00683966 /* ConstraintItem.swift in Sources */,
				F875476725F205FE00683966 /* ConstraintViewDSL.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		337CC6E422E863BA00C6EB1B /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				337CC6E522E863BA00C6EB1B /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		337CC6E922E863BB00C6EB1B /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				337CC6EA22E863BB00C6EB1B /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		337CC6ED22E863BB00C6EB1B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		337CC6EE22E863BB00C6EB1B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		337CC6F022E863BB00C6EB1B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = A3M4AY795P;
				FRAMEWORK_SEARCH_PATHS = "\"${PODS_CONFIGURATION_BUILD_DIR}/SnapKit\"";
				INFOPLIST_FILE = AlertTest/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MACH_O_TYPE = mh_execute;
				OTHER_LDFLAGS = "";
				PRODUCT_BUNDLE_IDENTIFIER = com.io.ioalert;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		337CC6F122E863BB00C6EB1B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = A3M4AY795P;
				INFOPLIST_FILE = AlertTest/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MACH_O_TYPE = mh_execute;
				OTHER_LDFLAGS = "";
				PRODUCT_BUNDLE_IDENTIFIER = com.io.ioalert;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		337CC6D822E863BA00C6EB1B /* Build configuration list for PBXProject "IOAlert" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				337CC6ED22E863BB00C6EB1B /* Debug */,
				337CC6EE22E863BB00C6EB1B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		337CC6EF22E863BB00C6EB1B /* Build configuration list for PBXNativeTarget "AlertTest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				337CC6F022E863BB00C6EB1B /* Debug */,
				337CC6F122E863BB00C6EB1B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 337CC6D522E863BA00C6EB1B /* Project object */;
}
